Update a Monthly Cron (Date Type)
Description
This API enables you to update a Monthly cron (configured using the calendar dates) present in the project. The cron that needs to be updated will be referred using its unique identifier, such as name or ID.
Note:
-
In this API, we are illustrating the sample request and sample response with a Job Function. The API functionality remains the same for webhook, Circuits, and AppSail jobs.
-
The functionality of the API remains the same when you try to update a Monthly cron defined using the weeks of a month. Refer to Create a Monthly Cron (Week Type) API.
-
This API is applicable for Pre-Defined Crons and Dynamic Crons.
Request Details
Request URL
{api-domain/}baas/v1/project/{project_id}/job_scheduling/cron/{cron_identifier (name/ID)}
Request Headers
Authorization: Zoho-oauthtoken {oauth_token}
Content-Type: application/json
Optional Headers
CATALYST-ORG: {org_id}
Environment: Development
Scope
ZohoCatalyst.cron.UPDATE
Request JSON
You must send a JSON with its corresponding values as shown below.
{
"cron_name": "recurCronMonthly",
"description": "monthly",
"cron_type": "Calendar",
"cron_status": true,
"end_time": 1718002799,
"cron_execution_type": "pre-defined",
"job_meta": {
"id": "10108000004280537",
"job_name": "jobName",
"job_config": {
"number_of_retries": 2,
"retry_interval": 500
},
"target_type": "Function",
"target_details": {
"id": "10108000003823893",
"target_name": "target_function_fetch"
},
"source_type": "Cron",
"source_details": {
"id": "10108000004280535",
"source_name": "recurCronMonthly",
"details": {
"cron_execution_type": "pre-defined"
}
},
"jobpool_id": "10108000003823563",
"jobpool_details": {
"type": "Function",
"name": "VendorReminder",
"created_by": {
"zuid": "77941453",
"is_confirmed": false,
"email_id": "emmy@zylker.com",
"first_name": "Amelia Burrows",
"last_name": "",
"user_type": "Admin",
"user_id": "10108000000009004"
},
"created_time": "May 28, 2024 04:44 PM",
"modified_by": {
"zuid": "77941453",
"is_confirmed": false,
"email_id": "emmy@zylker.com",
"first_name": "Amelia Burrows",
"last_name": "",
"user_type": "Admin",
"user_id": "10108000000009004"
},
"modified_time": "May 28, 2024 04:44 PM",
"capacity": {
"memory": "2048"
},
"project_details": {
"project_name": "ZylkerShipments",
"id": "10108000003823392",
"project_type": "Live"
},
"id": "10108000003823563"
},
"params": {
"param1": "value1"
},
"target_id": "10108000003823893"
},
"job_detail": {
"hour": 3,
"minute": 0,
"second": 0,
"repetition_type": "monthly",
"days": [
1,
3,
8,
"9"
],
"timezone": "PST"
},
"id": "10108000004280535"
}
You will feed this Request JSON to your Request Body, and you need to provide the value of:
Response Details
The JSON response returns the metadata of the updated cron. The response will also contain the details of the user who updated the cron.
curl -X PUT \ https://api.catalyst.zoho.com/baas/v1/project/10108000003823392/job_scheduling/cron/10108000004280535
-H “Authorization: Zoho-oauthtoken 1000.91016.2f57”
-H “Content-Type:application/json”
--data-raw ‘{“cron_name”:“recurCronMonthly”,“description”:“monthly”,“cron_type”:“Calendar”,“cron_status”:true,“end_time”:1718002799,“cron_execution_type”:“pre-defined”,“job_meta”:{“id”:“10108000004280537”,“job_name”:“jobName”,“job_config”:{“number_of_retries”:2,“retry_interval”:500},“target_type”:“Function”,“target_details”:{“id”:“10108000003823893”,“target_name”:“target_function_fetch”},“source_type”:“Cron”,“source_details”:{“id”:“10108000004280535”,“source_name”:“recurCronMonthly”,“details”:{“cron_execution_type”:“pre-defined”}},“jobpool_id”:“10108000003823563”,“jobpool_details”:{“type”:“Function”,“name”:“VendorReminder”,“created_by”:{“zuid”:“77941453”,“is_confirmed”:false,“email_id”:“emmy@zylker.com”,“first_name”:“Amelia Burrows”,“last_name”:"",“user_type”:“Admin”,“user_id”:“10108000000009004”},“created_time”:“May 28, 2024 04:44 PM”,“modified_by”:{“zuid”:“77941453”,“is_confirmed”:false,“email_id”:“emmy@zylker.com”,“first_name”:“Amelia Burrows”,“last_name”:"",“user_type”:“Admin”,“user_id”:“10108000000009004”},“modified_time”:“May 28, 2024 04:44 PM”,“capacity”:{“memory”:“2048”},“project_details”:{“project_name”:“ZylkerShipments”,“id”:“10108000003823392”,“project_type”:“Live”},“id”:“10108000003823563”},“params”:{“param1”:“value1”},“target_id”:“10108000003823893”},“job_detail”:{“hour”:3,“minute”:0,“second”:0,“repetition_type”:“monthly”,“days”:[1,3,8,“9”],“timezone”:“PST”},“id”:“10108000004280535”}’
{
"status": "success",
"data": {
"cron_name": "recurCronMonthly",
"description": "monthly",
"cron_type": "Calendar",
"cron_execution_type": "pre-defined",
"job_meta": {
"id": "10108000004280805",
"url": "",
"job_name": "jobName",
"job_config": {
"number_of_retries": 2,
"retry_interval": 500
},
"target_type": "Function",
"target_details": {
"id": "10108000003823893",
"target_name": "target_function_fetch"
},
"source_type": "Cron",
"source_details": {
"id": "10108000004280535",
"source_name": "recurCronMonthly",
"details": {
"cron_execution_type": "pre-defined"
}
},
"jobpool_id": "10108000003823563",
"jobpool_details": {
"type": "Function",
"name": "VendorReminder",
"created_by": {
"zuid": "77941453",
"is_confirmed": false,
"email_id": "emmy@zylker.com",
"first_name": "Amelia Burrows",
"last_name": "",
"user_type": "Admin",
"user_id": "10108000000009004"
},
"created_time": "May 28, 2024 04:44 PM",
"modified_by": {
"zuid": "77941453",
"is_confirmed": false,
"email_id": "emmy@zylker.com",
"first_name": "Amelia Burrows",
"last_name": "",
"user_type": "Admin",
"user_id": "10108000000009004"
},
"modified_time": "May 28, 2024 04:44 PM",
"capacity": {
"memory": "2048"
},
"project_details": {
"project_name": "ZylkerShipments",
"id": "10108000003823392",
"project_type": "Live"
},
"id": "10108000003823563"
},
"headers": {},
"params": {
"param1": "value1"
}
},
"cron_status": true,
"modified_time": "Jun 07, 2024 01:00 PM",
"modified_by": {
"zuid": "77941453",
"is_confirmed": false,
"email_id": "emmy@zylker.com",
"first_name": "Amelia Burrows",
"last_name": "",
"user_type": "Admin",
"user_id": "10108000000009004"
},
"project_details": {
"project_name": "ZylkerShipments",
"id": "10108000003823392",
"project_type": "Live"
},
"end_time": "1718002799",
"cron_detail": {
"jobId": "10108000004280535",
"transactionTimeout": -1,
"hour": 3,
"minute": 0,
"second": 0,
"repetition_type": "monthly",
"days": [
1,
3,
8,
9
],
"timezone": "PST"
},
"id": "10108000004280535"
}
}
Yes
No
Send your feedback to us